/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/* ***************************************************** */
/********************************************************************/
/**
 * @file EvalTextDumpTool.h
 * @brief クラス MGEvalTextDumpTool の宣言
 */
#pragma once

#include "Common/CommandBase.h"

/// @class MGEvalTextDumpTool EvalTextDumpTool.h "EvalCmd/EvalTextDumpTool.h"
/// [ファイル＞マージ] コマンドクラス
class MGEvalTextDumpTool : public MGCommandBase
{
public:
	/// コンストラクター
	/// @param[in] pDoc コマンド対象ドキュメント
	explicit MGEvalTextDumpTool(fugenDoc* pDoc);

	virtual bool can_break_into() const;
	virtual MGCommandBase* initial_clone(fugenDoc* pDoc)const;
	virtual bool initiate_tool();

private:
	void DisplayErrorMessage(UINT nIDS);
	bool Execute();
};
